Package org.springframework.security.config.annotation.web.configurers

# Class ChannelSecurityConfigurer.ChannelRequestMatcherRegistry

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<C>
org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry<ChannelSecurityConfigurer<H>.RequiresChannelUrl>
org.springframework.security.config.annotation.web.configurers.ChannelSecurityConfigurer.ChannelRequestMatcherRegistry

Enclosing class:
  ChannelSecurityConfigurer<H extends HttpSecurityBuilder<H>>

public final class ChannelSecurityConfigurer.ChannelRequestMatcherRegistry extends AbstractConfigAttributeRequestMatcherRegistry<ChannelSecurityConfigurer<H>.RequiresChannelUrl>

## Method Summary

Modifier and Type
Method
Description
`H`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`protected ChannelSecurityConfigurer<H>.RequiresChannelUrl`
`chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`channelProcessors(List<org.springframework.security.web.access.channel.ChannelProcessor> channelProcessors)`
Sets the `ChannelProcessor` instances to use in `ChannelDecisionManagerImpl`
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`redirectStrategy(org.springframework.security.web.RedirectStrategy redirectStrategy)`
Sets the `RedirectStrategy` instances to use in `RetryWithHttpEntryPoint` and `RetryWithHttpsEntryPoint`
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Deprecated, for removal: This API element is subject to removal in a future version.
`ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Adds an `ObjectPostProcessor` for this class.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry

`chainRequestMatchers`

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, requestMatchers, requestMatchers, requestMatchers, requestMatchers, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### chainRequestMatchersInternal

protected ChannelSecurityConfigurer<H>.RequiresChannelUrl chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Description copied from class: `AbstractConfigAttributeRequestMatcherRegistry`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

Specified by:
  `chainRequestMatchersInternal` in class `AbstractConfigAttributeRequestMatcherRegistry<ChannelSecurityConfigurer<H extends HttpSecurityBuilder<H>>.RequiresChannelUrl>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`

### withObjectPostProcessor

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Adds an `ObjectPostProcessor` for this class.

Parameters:
  `objectPostProcessor` -
Returns:
  the `ChannelSecurityConfigurer` for further customizations

### withObjectPostProcessor

@Deprecated(since="6.4", forRemoval=true) public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Deprecated, for removal: This API element is subject to removal in a future version.

### channelProcessors

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry channelProcessors(List<org.springframework.security.web.access.channel.ChannelProcessor> channelProcessors)
Sets the `ChannelProcessor` instances to use in `ChannelDecisionManagerImpl`

Parameters:
  `channelProcessors` -
Returns:
  the `ChannelSecurityConfigurer` for further customizations

### redirectStrategy

public ChannelSecurityConfigurer<H>.ChannelRequestMatcherRegistry redirectStrategy(org.springframework.security.web.RedirectStrategy redirectStrategy)
Sets the `RedirectStrategy` instances to use in `RetryWithHttpEntryPoint` and `RetryWithHttpsEntryPoint`

Parameters:
  `redirectStrategy` -
Returns:
  the `ChannelSecurityConfigurer` for further customizations

### and

@Deprecated(since="6.1", forRemoval=true) public H and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `HttpSecurity.requiresChannel(Customizer)` instead
Return the `SecurityBuilder` when done using the `SecurityConfigurer`. This is useful for method chaining.

Returns:
  the type of `HttpSecurityBuilder` that is being configured